---
title: 'List services (reconciliation)'
url: 'https://documentation.netstorming.net/api-reference/hotels/bookings/reconciliation'
markdown: 'https://documentation.netstorming.net/api-reference/hotels/bookings/reconciliation.md'
date: '2026-11-10'
description: 'List services (reconciliation) Product: hotel Type: list_services The list_services API allows you to obtain a list of bookings within a requested time period (by creation, check-in, or last modified date). This API should be used for reconciliation purposes, i.e., to ensure that all bookings exi…'
taxonomy:
  category:
    - docs
---

# List services (reconciliation)

[](#)  [ API reference ](https://documentation.netstorming.net/api-reference)     [ Hotels ](https://documentation.netstorming.net/api-reference/hotels)     [ Bookings ](https://documentation.netstorming.net/api-reference/hotels/bookings)      List services (reconciliation)    

#### List services (reconciliation)

Product: **hotel**
Type: **list\_services**

The list\_services API allows you to obtain a list of bookings within a requested time period (by creation, check-in, or last modified date).
This API should be used for reconciliation purposes, i.e., to ensure that all bookings exist in your system and contain correct data.
The recommended approach is to periodically call the list\_services API (daily or even weekly) and compare the results with the bookings in your system. Any differences between the two may indicate that something has gone wrong, which can then be addressed and corrected by operational staff before incurring in charges or penalties.

This API is **not** intended to retrieve complete data for one or more reservations. Its sole purpose is to provide a list of reservations with the minimal information required to identify them.
To retrieve full details of a reservation, you should refer to the [Tracking API](https://documentation.netstorming.net/api-reference/hotels/bookings/booking-tracking).

##### Request

Request fields:

- **creation**: allows to search for booking created in the requested time span
- - **@from**: datetime in format *YYYY-mm-dd HH:ii:ss*
- - **@to**: datetime in format *YYYY-mm-dd HH:ii:ss*
- **checkin**: allows to search for booking with check-in date in the requested time span
- - **@from**: datetime in format *YYYY-mm-dd HH:ii:ss*
- - **@to**: datetime in format *YYYY-mm-dd HH:ii:ss*
- **lastmodified**: allows to search for booking modified in the requested time span
- - **@from**: datetime in format *YYYY-mm-dd HH:ii:ss*
- - **@to**: datetime in format *YYYY-mm-dd HH:ii:ss*

The maximum time span for every field is 7 days.
Fields can be combined in a "logical and", i.e. you can search for bookings created in the last two days AND with checkin between two dates.

Request example:

```xml
<envelope>
    <header>
        <actor>exampleactor</actor>
        <user>exampleuser</user>
        <password>*****</password>
        <version>1.7.2</version>
        <timestamp>20250820141901</timestamp>
    </header>
    <query type="list_services" product="hotel">
        <creation from="2025-08-12 00:00:00" to="2025-08-18 23:59:59"/>
        <lastmodified from="2025-08-14 00:00:00" to="2025-08-20 23:59:59"/>
    </query>
</envelope>
```

##### Response

Response example:

```xml
<envelope>
<envelope>
    <header>
        <version port="22222" host="example.netstorming.office">1.7.2</version>
        <timestamp>20250820141931</timestamp>
    </header>
    <response type="list_services" product="hotel">
        <services count="4">
            <service name="B08250RXKV" reference="your-reference-1" status="rej" checkin="2025-11-06" checkout="2025-11-07"
                     creationdate="2025-08-12 13:01:40" lastmodified="2025-08-16 13:05:48"
                     deadline="2025-11-04 12:00:00" nett_price="0" first_nett_price="0" currency="EUR"
                     hotel_id="14631" hcn=""/>
            <service name="B0825EGR40" reference="your-reference-2" status="cxl" checkin="2025-11-06" checkout="2025-11-07"
                     creationdate="2025-08-12 12:52:30" lastmodified="2025-08-16 12:57:58"
                     deadline="2025-11-04 12:00:00" nett_price="0" first_nett_price="43.05" currency="EUR"
                     hotel_id="14631" hcn=""/>
            <service name="B0825JQXAK" reference="your-reference-3" status="cnf" checkin="2025-11-06" checkout="2025-11-07"
                     creationdate="2025-08-12 12:45:58" lastmodified="2025-08-15 12:48:04"
                     deadline="2025-11-03 12:00:00" nett_price="31.51" first_nett_price="31.51" currency="EUR"
                     hotel_id="14631" hcn="EX-12345"/>
            <service name="B082500PTA" reference="your-reference-4" status="cxl" checkin="2025-11-10" checkout="2025-11-15"
                     creationdate="2025-08-18 10:37:45" lastmodified="2025-08-19 10:38:24"
                     deadline="2025-11-06 12:00:00" nett_price="0" first_nett_price="62.5" currency="EUR"
                     hotel_id="118232" hcn="EX-6789"/>
        </services>
    </response>
</envelope>
```

Response fields:

**services@count** is a counter of how many bookings matches the sarch. You can expect as many **service** tags as the number returned by the count attribute.

Every **response/services/service** is a booking created in our system.

- **@name**: booking name, our reference
- **@reference**: your reference
- **@status**: booking status as described in [booking tracking](https://documentation.netstorming.net/api-reference/hotels/bookings/booking-tracking)
- **@checkin**: checkin date (without time)
- **@checkout**: checkout date (without time)
- **@creationdate**: creation date and time
- **@lastmodified**: last modified date and time
- **@deadline**: deadline for cancellation without penalties date and time
- **@nett\_price**: current nett price (can be 0, i.e. in case of cancellation free of charge)
- **@first\_nett\_price**: first nett price of the booking (even if cancelled FoC, this will be non-zero)
- **@currency**: currency code
- **@hotel\_id**: hotel id
- **@hcn**: hotel confirmation number, if available (can be empty)

 [ ](https://documentation.netstorming.net/api-reference/hotels/bookings/booking-status-codes) [](https://documentation.netstorming.net/api-reference/transfers)

---

## Navigation

- Parent: [Bookings](https://documentation.netstorming.net/api-reference/hotels/bookings.md)
- Previous: [Booking status codes](https://documentation.netstorming.net/api-reference/hotels/bookings/booking-status-codes.md)
